# -*- RPM-SPEC -*-
Summary: redhat-config-services is an initscript and xinetd configuration utility
Name: redhat-config-services
Version: 0.8.5
Release: 19
URL: http://www.redhat.com/ 
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: /sbin/chkconfig
Requires: gnome-python2, pygtk2, pygtk2-libglade, gnome-python2-canvas, rhpl
Requires: usermode >= 1.36, usermode-gtk
Obsoletes: serviceconf

%description
rehat-config-services is a utility which allows you to configure which services
should be enabled on your machine.

%prep
%setup -q

%build
make

%install
rm -rf %{buildroot}
%makeinstall

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%doc docs/html/*
%{_sbindir}/*
%{_bindir}/*
%{_datadir}/applications/redhat-config-services.desktop
%{_datadir}/redhat-config-services
%config %{_sysconfdir}/pam.d/redhat-config-services
%config %{_sysconfdir}/security/console.apps/redhat-config-services
%config %{_sysconfdir}/security/console.apps/serviceconf
%config %{_sysconfdir}/pam.d/serviceconf
%{_mandir}/*/redhat-config-services.8*

%changelog
* Wed Oct 1 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-19
- Fix pathing problem on Hammer

* Fri Sep 5 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-18
- bump

* Fri Sep 5 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-17
- bump
* Fri Sep 5 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-16
- Eliminate debugging message

* Mon Aug 25 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-15
-  For some reason this did not make it to RHN Trying again. By Bumping version.

* Tue Aug 5 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-14
- Bumped version for rhl

* Tue Aug 5 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-13
- Remove depracated call

* Wed Jul 30 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-12
- Bumped version for rhl

* Wed Jul 30 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-11
- Changed handling of xinetd services to show xinetd service status

* Wed Jul 30 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-10
- Bumped version for rhl

* Tue Jul 29 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-9
- Allow services to have ':'s in them.

* Wed Jul 9 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-8
- Bumped version for rhl

* Wed Jul 9 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-7
- Add ability to add and delete services

* Tue Jun 17 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-6
- Bumped version for rhel

* Thu Jun 5 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-5
- Minor fixes to match GUI users guide and fix icon

* Tue May  27 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-4
- Bumped version for rhel

* Tue May  27 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-3
- Moved redhat-config-service.png to /usr/share/redhat-config-services

* Fri Mar  7 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-2
- Bumped version for rhel

* Tue Mar  4 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.5-1
- Fix swiching runlevels on modified screens.

* Tue Feb  25 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.4-2
- Fix dissapearing text on selecting toggle.

* Tue Jan  28 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.4-1
- Release Candidate
- Fix Icon

* Tue Jan  28 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.3-12
- Fix Language Problems

* Tue Jan  28 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.3-11
- Fix handling of errors in /etc/init.d directory

* Tue Jan  14 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.3-10
- Update documentation

* Thu Jan  9 2003 Daniel J Walsh <dwalsh@redhat.com> 0.8.3-9
- Added StartupNotify=true
- Added accellerators

* Thu Dec  12 2002 Daniel J Walsh <dwalsh@redhat.com> 0.8.3-8
- Update help docs

* Fri Dec  6 2002 Daniel J Walsh <dwalsh@redhat.com> 0.8.3-7
- Fix error catching on invalid display

* Tue Dec  3 2002 Daniel J Walsh <dwalsh@redhat.com> 0.8.3-6
- Fix DISPLAY error handling
- Stretch Screen size
- Update status box after Start/Stop/Restart
- Fix Icon error

* Thu Nov 14 2002 Dan Walsh <dwalsh@redhat.com> 0.8.3-5
- Fix reading of descriptions from startup scripts to ignore blank lines

* Thu Nov 14 2002 Dan Walsh <dwalsh@redhat.com> 0.8.3-4
- Add scrollbar to description and status

* Thu Oct 24 2002 Dan Walsh <dwalsh@redhat.com> 0.8.3-3
- Fix internal handling of version number.

* Thu Oct 10 2002 Dan Walsh <dwalsh@redhat.com> 0.8.3-2
- Remove buttons from screen to match GNOME standards

* Tue Oct 1 2002 Dan Walsh <dwalsh@redhat.com> 0.8.3-1
- Change GUI Presentation and add service status

* Wed Sep 4 2002 Bill Nottingham <notting@redhat.com> 0.8.2-1
- fix startup in some locales

* Tue Sep 3 2002 Dan Walsh <dwalsh@redhat.com> 0.8.1-13
- Update translations

* Tue Aug 27 2002 Dan Walsh <dwalsh@redhat.com> 0.8.1-12
- Update translations
- Fix multi-processor problem with popen

* Tue Aug 20 2002 Dan Walsh <dwalsh@redhat.com> 0.8.1-11
- Use gnome url_show for help
- fix legal notice

* Mon Aug 19 2002 Dan Walsh <dwalsh@redhat.com> 0.8.1-10
- Fix word wrap
- Fix initial startup to select first row
- Update languages

* Sat Aug 10 2002 Dan Walsh <dwalsh@redhat.com> 0.8.1-9
- eliminate extra python files not intended for release

* Wed Aug 7 2002 Dan Walsh <dwalsh@redhat.com> 0.8.1-8
- Update dependencies

* Mon Aug 5 2002 Dan Walsh <dwalsh@redhat.com> 0.8.1-7
- Updated internationalization stuff

* Wed Jul 31 2002 Dan Walsh <dwalsh@redhat.com> 0.8.1-6
- Updated internationalization stuff

* Fri Jul 26 2002 Dan Walsh <dwalsh@redhat.com> 0.8.1-5
- Updated to use intltool and new build environment.
- Added with pam changes for timestamp
- New internationalization stuff

* Tue Jul 23 2002 Dan Walsh <dwalsh@redhat.com>
- Fix the desktop file, using new naming standards.
- Fix the error outpur

* Mon Jul 22 2002 Dan Walsh <dwalsh@redhat.com>
- Fix clock cursor, set app insensitive until services loaded"

* Mon Jul 22 2002 Tammy Fox <tfox@redhat.com>
- Updated docs

* Wed Jul  17 2002 Dan Walsh <dwalsh@redhat.com> 0.8.1-1
- Fix internationalization problems.  Clean up glade port.

* Thu Jul  11 2002 Dan Walsh <dwalsh@redhat.com> 0.8.1-1
- complete rename to redhat-config-services

* Tue Jul  9 2002 Dan Walsh <dwalsh@redhat.com> 0.8.1-1
- complete gtk2 port, Fix Help, About, fix minor bugs

* Wed May 29 2002 Bill Nottingham <notting@redhat.com> 0.8.0-1
- initial hack gtk2 port

* Mon Apr 15 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.7.0-3
- Update translations

* Wed Apr 10 2002 Bill Nottingham <notting@redhat.com> 0.7.0-2
- fix docs (#63179)

* Tue Apr  9 2002 Bill Nottingham <notting@redhat.com>
- add some more cases to #60384 fix

* Sun Apr  7 2002 Jeremy Katz <katzj@redhat.com>
- don't show rpmsave, rpmnew, rpmorig, or .swp files (#60384)

* Tue Apr  2 2002 Nalin Dahyabhai <nalin@redhat.com>
- set up userhelper for redhat-config-services

* Fri Jan 25 2002 Bill Nottingham <notting@redhat.com>
- add patch to fix startup when there are services with 'hide' set

* Fri Aug 24 2001 Tim Powers <timp@redhat.com>
- fixed typo in Requires /;sbin/chkconfig

* Fri Aug 24 2001 Bill Nottingham <notting@redhat.com>
- build with new translations
- move redhat-config-services link to /usr/bin

* Fri Aug 17 2001 Bill Nottingham <notting@redhat.com>
- translation typos (#51774, #51776)
- add redhat-config-services link
- if we're using find_lang, don't specify the .mo files explicitly

* Mon Aug 13 2001 Tim Powers <timp@redhat.com>
- updated serviceconf.gladestrings

* Fri Aug 10 2001 Tim Powers <timp@redhat.com>
- languified specfile for additional translations

* Thu Aug  9 2001 Alexander Larsson <alexl@redhat.com> 0.6.1-1
- Add an icon

* Thu Aug  9 2001 Alexander Larsson <alexl@redhat.com>
- Install in sysconfig.

* Tue Aug  7 2001 Tim Powers <timp@redhat.com>
- gnomified
- work around parsing languified chkconfig output so that we can get accurate information displayed

* Tue Jul 31 2001 Tim Powers <timp@redhat.com>
- languified since we now serve multiple languages

* Mon Jul 30 2001 Yukihiro Nakai <ynakai@redhat.com>
- User %%fine_lang
- Add Japanese translation.

* Mon Jul 30 2001 Preston Brown <pbrown@redhat.com>
- clean up title display
- make sure initial highlighted entry also displays description info

* Wed Jul 18 2001 Tammy Fox <tfox@redhat.com>
- added help doc
- moved man page into man directory
- added Makefile for man page
- added man page to spec file

* Mon Jul  9 2001 Tim Powers <timp@redhat.com>
- languify to shutup rpmlint

* Thu Jul  5 2001 Tim Powers <timp@redhat.com>
- removed TODO and README, added COPYING file to docs

* Tue May 15 2001 Tim Powers <timp@redhat.com>
- Initial build.


